import type { GetSponsorsOutputDto } from '../dtos';
import { SponsorViewModel } from '../view-models';

/**
 * Sponsor List Presenter
 *
 * Transforms sponsor list DTOs into view models.
 */
export class SponsorListPresenter {
  present(dto: GetSponsorsOutputDto): SponsorViewModel[] {
    return dto.sponsors.map(sponsor => new SponsorViewModel(sponsor));
  }
}